﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _103530
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            BindingList<TaskItem> source = new BindingList<TaskItem>();
            source.Add(new TaskItem() { Name = "Root1" });
            source.Add(new TaskItem()
            {
                Name = "Root2",
                Subs = new BindingList<TaskItem>() 
                {
                    new TaskItem(){ Name = "Sub1"},
                    new TaskItem(){ Name = "Sub2"}
                }
            });
            source.Add(new TaskItem() { Name = "Root3" });

            this.ultraTree1.DataSource = source;
            //this.taskItemBindingSource.DataSource = source;

            
        }
    }

    public class TaskItem
    {
       BindingList<TaskItem> _subs; 
       public string Name { get; set; }
        public BindingList<TaskItem> Subs 
        {
           get
           {
              if (this._subs == null)
                 this._subs = new BindingList<TaskItem>();
              return this._subs;
           }
           set
           {
              this._subs = value;
           }
        }
    }

}
